> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Dashboards



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/projects/{project_id}/log_streams/{log_stream_id}/trends/dashboards
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/log_streams/{log_stream_id}/trends/dashboards:
    get:
      tags:
        - trends_dashboard
      summary: List Dashboards
      operationId: >-
        list_dashboards_v2_projects__project_id__log_streams__log_stream_id__trends_dashboards_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: log_stream_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Log Stream Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TrendsDashboardSummary'
                title: >-
                  Response List Dashboards V2 Projects  Project Id  Log Streams 
                  Log Stream Id  Trends Dashboards Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
components:
  schemas:
    TrendsDashboardSummary:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_default:
          type: boolean
          title: Is Default
        visibility:
          type: string
          title: Visibility
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        is_favorited:
          type: boolean
          title: Is Favorited
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - is_default
        - visibility
        - created_at
        - updated_at
      title: TrendsDashboardSummary
      description: Lightweight dashboard summary for list endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login

````